Package de.tudresden.sumo.cmd

## Class Junction

- java.lang.Object
- - de.tudresden.sumo.cmd.Junction

-     public class Junction
      extends Object

  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Junction()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `getIDCount()` | Returns the number of all junctions in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of IDs of all junctions within the scenario.
    `static SumoCommand` | `getPosition​(String junctionID)` | Returns the position of the named junction.
    `static SumoCommand` | `getShape​(String junctionID)` | getShape

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Junction

          public Junction()

  - ### Method Detail

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of IDs of all junctions within the scenario.
      Returns:
        list of IDs of all junctions in the network

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of all junctions in the network.
      Returns:
        the number of junctions

    - #### getPosition

          public static SumoCommand getPosition​(String junctionID)

      Returns the position of the named junction.
      Parameters:
        `junctionID` - a string identifying the junction
      Returns:
        the coordinates of the center of the junction

    - #### getShape

          public static SumoCommand getShape​(String junctionID)

      getShape
      Parameters:
        `junctionID` - a string identifying the junction
      Returns:
        the shape